<%
'// makit news poster
'// http://www.makit.net/
'// (C) Martyn Kilbryde 2006
'// Page: include/formatting.asp

'// Function to format text so it's safe for SQL inserting.
'// Removes error causing characters.
Function formatForSQL(textToFormat)

	'// Trim the text of leading and trailing spaces
	textToFormat = Trim(textToFormat)
	
	'// Change apostraphes to the HTML code of apostraphes
	textToFormat = Replace(textToFormat, "'", "&#146;")
	
	'// Return the text	
	formatForSQL = textToFormat
	
End Function

'// Function to change the access numbers to the actual access name
Function changeAccess(accessNumber)

	'// Use a select case of the access number
	Select Case accessNumber

		'// For access number of 1, return Moderator
		Case 1
			changeAccess = "Moderator"
		
		'// For access number of 2, return Administrator
		Case 2
			changeAccess = "Administrator"
		
		'// For access number of anything else, return Normal User
		Case Else
			changeAccess = "Normal User"
	
	End Select
	
End Function

'// Function to remove the HTML from given text
Function removeHTML(theText)

	'// Define the local variables
	Dim counter
	Dim lessThan, greaterThan
	Dim toReturn
	
	'// Set the counter to zero	
    counter = 0
		
	'// Loop until all < and > are removed
    Do until inStr(1,theText,"<") = 0 and inStr(1,theText,">") = 0

		'// Get the location of the less-than sign
   		lessThan = inStr(1,theText,"<")
			
    	'// If a less-than sign exists
		If lessThan > 0 then
			
			'// Get the location of the greater-than sign
    		greaterThan = inStr(lessThan + 1,theText,">")
			
			'// If a greater-than sign exists	
    		If greaterThan > 0 then
				
				'// Get the HTML character
    			toReturn = mid( theText, lessThan, greaterThan -(lessThan-1) )
				
				'// Replace the character with nothing (hence remove it)
    			theText = Replace( theText, toReturn, "" )
					
    		End If
				
    	End If
			
		'// Increment counter
    	counter = counter + 1
			
		'// Use counter of 1000 to stop long loops
    	If  counter = 1000 then exit do
			
	Loop
	
	'// Return the cut text
	removeHTML = theText
		
End Function

'// Function to replace new lines with HTML new lines
Function replaceNewLines(theText)

	'// Replace the new lines (VBCrLf) with HTML break tags, and return it
	replaceNewLines = replace(theText, vbCrLf, "<br />")

End Function

'// Function to replace HTML new lines with new lines
Function replaceHTMLLines(theText)

	'// Replace the HTML break tags with a new lines (VbCrLf), and return it
	replaceHTMLLines = replace(theText, "<br />", vbCrLf)

End Function

'// Function to replace HTML new lines with spaces
Function replaceBRSpaces(theText)

	'// Replace the HTML break tags with a space, and return it
	replaceBRSpaces = replace(theText, "<br />", " ")

End Function

'// Function is check is text is only alphanumeric
Function isAlphaNumeric(theText)

	'// Define the local variables
	Dim textLength
	Dim counter
	Dim tempText
	Dim eachChar
    Dim toReturn
	Dim alphaNumericChars

	'// Trim the text of leading and trailing whitespace		
	tempText = Trim(theText)

    '// Do if the text is blank
   	If theText = "" Then
	
		'// Set the return value as false
   		toReturn = false
		
    '// Do if the text is not blank
	Else

		'// Set the return value as default true
		toReturn = true
		
		'// Set the variable holding all the alphanumeric characters
		alphaNumericChars = "abcdefghijklmnopqrstuvwxyz0123456789"
		
		'// Get the length of the given text
		textLength = Len(tempText)

		'// Convert the text to lowercase for comparing
		tempText = LCase(tempText)
	
		'// Loop through for the length of the text
		For counter = 1 To textLength
		
			'// Get the current character
			eachChar = Mid(tempText, counter, 1)
			
			'// Do if the current character is not in the alphaNumeric characters
			If inStr(alphaNumericChars, eachChar) = 0 Then
			
				'// Set the return value as false
				toReturn = False
				
				'// Exit the loop
				Exit For
				
			End if
			
		Next
				
	End If	
	
	'// Return the return value
    isAlphaNumeric = toReturn		
	
End Function

'// Function to convert DB boolean to Yes/No
Function convertDBBoolean(numToConvert)

	'// Select case on the number
	Select Case numToConvert
	
		'// Case 0, return No
		Case 0
			convertDBBoolean = "No"
		
		'// Case 0, return Yes
		Case 1
			convertDBBoolean = "Yes"
	
	End Select

End Function

'// Function to convert text using MKCode to HTML
'// This is just a simple system at the moment and I may program a bigger & better one
'// in the future.
Function convertFromMKCode(textToConvert)

	Dim toOutput

	toOutput = textToConvert

	'// Check if a start and end bold tag exist
	If inStr(toOutput, "[b]") > 0 and inStr(toOutput, "[/b]") > 0 then
	
		'// Replace the start and end bold tags
		toOutput = Replace(toOutput,"[b]","<b>")
		toOutput = Replace(toOutput,"[/b]","</b>")
		
	End If	
	
	'// Check if a start and end italic tag exist
	If inStr(toOutput, "[i]") > 0 and inStr(toOutput, "[/i]") > 0 then	
	
		'// Replace the start and end italic tags
		toOutput = Replace(toOutput,"[i]","<i>")
		toOutput = Replace(toOutput,"[/i]","</i>")
		
	End If		
	
	'// Check if a start and end center tag exist
	If inStr(toOutput, "[center]") > 0 and inStr(toOutput, "[/center]") > 0 then
	
		'// Replace the start and end center tags
		toOutput = Replace(toOutput,"[center]","<div align=""center"">")
		toOutput = Replace(toOutput,"[/center]","</div>")	
		
	End If
	
	'// Check if a start and end right tag exist
	If inStr(toOutput, "[right]") > 0 and inStr(toOutput, "[/right]") > 0 then
	
		'// Replace the start and end right tags
		toOutput = Replace(toOutput,"[right]","<div align=""right"">")
		toOutput = Replace(toOutput,"[/right]","</div>")	
		
	End If
	
	'// Check if a start and end large tag exist
	If inStr(toOutput, "[large]") > 0 and inStr(toOutput, "[/large]") > 0 then
	
		'// Replace the start and end large tags
		toOutput = Replace(toOutput,"[large]","<h3>")
		toOutput = Replace(toOutput,"[/large]","</h3>")
		
	End If	
	
	'// Check if a start and end small tag exist
	If inStr(toOutput, "[small]") > 0 and inStr(toOutput, "[/small]") > 0 then
	
		'// Replace the start and end small tags
		toOutput = Replace(toOutput,"[small]","<small>")
		toOutput = Replace(toOutput,"[/small]","</small>")
		
	End If	
	
	'// Return the converted text
	convertFromMKCode = toOutput		

End Function
%>