<%
'// makit news poster
'// http://www.makit.net/
'// (C) Martyn Kilbryde 2006
'// Page: include/options.asp

'// Function to find out if HTML is enabled in blogs
Function isHTMLEnabled()

	'// Get the HTML enabled option from file, convert to boolean type and return.
	isHTMLEnabled = CBool(readFromOptionFile()(0))
	
End Function

'// Function to find out the amount of posts allowed per day by one user
Function getAmountOfPostsAllowed()

	'// Get the number of posts allowed from file, convert to int type and return.
	getAmountOfPostsAllowed = CInt(readFromOptionFile()(1))
	
End Function

'// Function to return whether the logged on user is above the limit of posts allowed in a day
Function abovePostLimit()

	'// Define the local variables
	Dim recordSetObject
	Dim theCount

	'// Create the Recordset object
	Set recordSetObject = Server.CreateObject("ADODB.Recordset")
	
	'// Put the recordset object in a with block, because it's used so much
	With recordSetObject
	
		'// Set the active connection to be the connection created in the getDbConnection function
		Set .ActiveConnection = getDbConnection()
		
		'// Do if mysql db
		If dbType = "mysql" then
		
			'// Run the SQL query to get the number of posts made today by the logged on user
			.Open("SELECT COUNT(id) AS theCount FROM news WHERE uname='" & getLoggedInUname() & "' AND date(datePosted) = current_date")
		
		'// Do if access db
		Else
		
			'// Run the SQL query to get the number of posts made today by the logged on user
			.Open("SELECT COUNT(id) AS theCount FROM news WHERE uname='" & getLoggedInUname() & "' AND Format(datePosted, 'dd/mm/yyyy') = date()")		
		
		End If
		
		'// Do if the recordset is empty
		If .EOF then
		
			'// Set the count as zero
			theCount = 0
			
		'// Do if the recordset is not empty
		Else
		
			'// Set the count as the returned count
			theCount = Cint(recordSetObject("theCount"))
		
		End If
		
		'// Close the recordset
		.Close
		
	End With
	
	'// Empty the recordset object
	Set  recordSetObject = Nothing
	
	'// Do if the amount of posts made is the same or above the amount allowed in a day
	If theCount => getAmountOfPostsAllowed() then
	
		'// Return true
		abovePostLimit = true
		
	'// Do if the amount of posts made is below the amount allowed in a day
	Else
	
		'// Return false
		abovePostLimit = false
		
	End If

End Function

'// Sub to write the given options to file
Sub writeOptionsToFile(HTMLEnabled, amountPosts)

	'// Define the local variables
	Dim toWrite
	Dim fileSystemObject
	Dim theFile

	'// Set the string that will be written out, which is the HTML enabled option and amount of
	'// posts seperated by a pipe.
	toWrite = HTMLEnabled & "|" & amountPosts

	'// Create the file system object
	Set fileSystemObject = Server.CreateObject("Scripting.FileSystemObject")

	'// Create the file object by opening the text file
	Set theFile = fileSystemObject.OpenTextFile(Server.MapPath("data/options.txt"), 2)
	
	'// Write the string to the file
	theFile.Write toWrite

	'// Close the file
	theFile.Close
	
	'// Empty the object variables
	Set theFile = Nothing
	Set fileSystemObject = Nothing
	
End Sub

'// Function to read the options from file
Function readFromOptionFile()

	'// Declare the local variables
	Dim readInOptions
	Dim fileSystemObject
	Dim theFile

	'// Create the file system object
	Set fileSystemObject = Server.CreateObject("Scripting.FileSystemObject")

	'// Create the file object by opening the text file
	Set theFile = fileSystemObject.OpenTextFile(Server.MapPath("data/options.txt"), 1)
	
	'// Read the line from the file, and split it up by the pipe
	readInOptions = Split(theFile.ReadLine,"|")

	'// Close the file object
	theFile.Close
	
	'// Empty the object variables
	Set theFile = Nothing
	Set fileSystemObject = Nothing
	
	'// Return the array of options
	readFromOptionFile = readInOptions

End Function
%>